import { OnInit, ElementRef, Renderer, EventEmitter } from '@angular/core';
import { NgxScrollSignalService } from '../service/ngx-scroll-signal.service';
export declare class NgxScrollSignalComponent implements OnInit {
    renderer: Renderer;
    ngxScrollSignal: NgxScrollSignalService;
    filler: ElementRef;
    private _defaultBaseColor;
    private _defaultFillerColor;
    private _defaultOpacity;
    private _position;
    private _baseColor;
    private _signalColor;
    private _opacity;
    position: string;
    baseColor: string;
    signalColor: string;
    opacity: number;
    onEnd: EventEmitter<boolean>;
    currentPosition: EventEmitter<number>;
    readonly isHorizontal: boolean;
    readonly isVertical: boolean;
    ngOnInit(): void;
    constructor(renderer: Renderer, ngxScrollSignal: NgxScrollSignalService);
}
